Bug 179421 - [Update] emulators/mednafen to 0.8.D.3
[Update] emulators/mednafen to 0.8.D.3
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Alonso Cárdenas Márquez
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-08 02:10 UTC by fiziologus
Modified: 2014-02-28 21:20 UTC (History)
0 users

See Also:


Attachments
file.diff (5.32 KB, patch)
2013-06-08 02:10 UTC, fiziologus
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description fiziologus 2013-06-08 02:10:00 UTC
Update emulators/mednafen to 0.8.D.3 (latest stable)

Fix build in amd64 (zlib), add build options, cleanup.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-06-08 02:10:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->acm

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2014-02-28 21:11:18 UTC
Author: rene
Date: Fri Feb 28 21:11:09 2014
New Revision: 346577
URL: http://svnweb.freebsd.org/changeset/ports/346577
QAT: https://qat.redports.org/buildarchive/r346577/

Log:
  From PR submitter:
  - Update to 0.8.D.3 (latest stable)
  - Fix build on amd64 regarding zlib
  - Add options to select devices to emulate
  
  From myself:
  - Convert to option helpers
  - Stage support
  - Fix build on FreeBSD 10
  
  PR:		ports/179421
  Submitted by:	"Green Dog"
  Approved by:	maintainer timeout (acm, 8 months 3 weeks)

Added:
  head/emulators/mednafen/files/patch-src__file.cpp   (contents, props changed)
  head/emulators/mednafen/files/patch-src__pcfx__pcfx.cpp   (contents, props changed)
Modified:
  head/emulators/mednafen/Makefile
  head/emulators/mednafen/distinfo
  head/emulators/mednafen/pkg-descr

Modified: head/emulators/mednafen/Makefile
==============================================================================
--- head/emulators/mednafen/Makefile	Fri Feb 28 20:59:39 2014	(r346576)
+++ head/emulators/mednafen/Makefile	Fri Feb 28 21:11:09 2014	(r346577)
@@ -1,8 +1,7 @@
 # $FreeBSD$
 
 PORTNAME=	mednafen
-PORTVERSION=	0.8.B
-PORTREVISION=	8
+PORTVERSION=	0.8.D.3
 PORTEPOCH=	1
 CATEGORIES=	emulators games
 MASTER_SITES=	SF/${PORTNAME}/Mednafen/${PORTVERSION}
@@ -10,54 +9,71 @@ MASTER_SITES=	SF/${PORTNAME}/Mednafen/${
 MAINTAINER=	acm@FreeBSD.org
 COMMENT=	Portable multi-system emulator
 
-LIB_DEPENDS=	cdio.13:${PORTSDIR}/sysutils/libcdio \
-		sndfile.1:${PORTSDIR}/audio/libsndfile \
-		vorbis.4:${PORTSDIR}/audio/libvorbis
-
-BROKEN=		Does not build
-DEPRECATED=	Broken for more than 6 month
-EXPIRATION_DATE=	2014-02-27
+LICENSE=	GPLv2
+
+LIB_DEPENDS=	libcdio.so:${PORTSDIR}/sysutils/libcdio \
+		libsndfile.so:${PORTSDIR}/audio/libsndfile \
+		libvorbis.so:${PORTSDIR}/audio/libvorbis
 
-MAKE_JOBS_UNSAFE=	yes
-USES=		gmake
 USE_BZIP2=	yes
 GNU_CONFIGURE=	yes
 USE_SDL=	sdl net
-USE_XORG=	x11
-USE_GL=		glut
+USE_GL=		gl glu
 CPPFLAGS+=	-I${LOCALBASE}/include
-LDFLAGS+=	-L${LOCALBASE}/lib ${PTHREAD}
+LDFLAGS+=	-L${LOCALBASE}/lib
 WRKSRC=	${WRKDIR}/${PORTNAME}
 SUB_FILES=	pkg-message
 
-OPTIONS_DEFINE=	NLS DOCS
+CONFIGURE_ARGS+=--disable-alsa --disable-alsatest \
+		--with-sdl-prefix=${LOCALBASE}
+
+USES=		iconv pkgconfig:build
 
-NO_STAGE=	yes
-.include <bsd.port.options.mk>
+OPTIONS_DEFINE=	NLS DOCS JACK
+OPTIONS_MULTI=	EMU
+OPTIONS_MULTI_EMU=	GB GBA LINX NES NGP PCE PCFX SMS SWAN
+OPTIONS_DEFAULT=	GB GBA LINX NES NGP PCE PCFX SMS SWAN
+
+GB_DESC=	build with GameBoy emulation
+GBA_DESC=	build with GameBoy Advance emulation
+LINX_DESC=	build with Atari Lynx emulation
+NES_DESC=	build with Nintendo Entertainment System emulation
+NGP_DESC=	build with Neo Geo Pocket emulation
+PCE_DESC=	build with PC Engine (TurboGrafx 16) emulation
+PCFX_DESC=	build with PC-FX emulation
+SMS_DESC=	build with SMS+GG emulation
+SWAN_DESC=	build with WonderSWan emulation
+JACK_DESC=	support the JACK audio API
+
+OPTIONS_SUB=	yes
+
+NLS_USES=	gettext
+NLS_CONFIGURE_ENABLE=nls
+
+JACK_LIB_DEPENDS=libjack.so:${PORTSDIR}/audio/jack
+JACK_CONFIGURE_ENABLE=jack
+
+GB_CONFIGURE_ENABLE=gb
+GBA_CONFIGURE_ENABLE=gba
+LINX_CONFIGURE_ENABLE=lynx
+NES_CONFIGURE_ENABLE=nes
+NGP_CONFIGURE_ENABLE=ngp
+PCE_CONFIGURE_ENABLE=pce
+PCFX_CONFIGURE_ENABLE=pcfx
+SMS_CONFIGURE_ENABLE=sms
+SWAN_CONFIGURE_ENABLE=wswan
 
-.if ${PORT_OPTIONS:MNLS}
-USES+=	gettext
-PLIST_SUB+=	NLS=""
-FLAG_NLS=	true
-.else
-CONFIGURE_ARGS+=	--disable-nls
-PLIST_SUB+=	NLS="@comment "
-.endif
-
-.if ${ARCH}==sparc64
-BROKEN=		does not compile on ${ARCH} due to internal compiler error
-.endif
+BROKEN_sparc64=	does not compile due to internal compiler error
 
 pre-configure:
-	@${REINPLACE_CMD} -e 's|sdl-config|${SDL_CONFIG}|g' -e \
-		's|/usr/local|${LOCALBASE}|g' -e 's|/usr/X11R6|${LOCALBASE}|g' \
-			${WRKSRC}/configure
+	@${REINPLACE_CMD} -e 's|/usr/local|${LOCALBASE}|g' \
+		-e 's|/usr/X11R6|${LOCALBASE}|g' \
+		${WRKSRC}/configure
+	@${REINPLACE_CMD} -e 's|NetBSD|FreeBSD|' \
+		${WRKSRC}/include/trio/triodef.h
 
 post-install:
-.if ${PORT_OPTIONS:MDOCS}
-	@${MKDIR} ${DOCSDIR}
-	@${INSTALL_DATA} ${WRKSRC}/Documentation/mednafen.html ${DOCSDIR}
-.endif
-	@${CAT} ${PKGMESSAGE}
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	@${INSTALL_DATA} ${WRKSRC}/Documentation/mednafen.html ${STAGEDIR}${DOCSDIR}
 
 .include <bsd.port.mk>

Modified: head/emulators/mednafen/distinfo
==============================================================================
--- head/emulators/mednafen/distinfo	Fri Feb 28 20:59:39 2014	(r346576)
+++ head/emulators/mednafen/distinfo	Fri Feb 28 21:11:09 2014	(r346577)
@@ -1,2 +1,2 @@
-SHA256 (mednafen-0.8.B.tar.bz2) = d7f5122ddab321f971833733f20858e2300693b1b489cc78f06aa7fd08f0b892
-SIZE (mednafen-0.8.B.tar.bz2) = 2414246
+SHA256 (mednafen-0.8.D.3.tar.bz2) = d678178f0dc03c89c7a0c83bf0c721af406ee53dfa79295432ab13722ed0eea2
+SIZE (mednafen-0.8.D.3.tar.bz2) = 2442705

Added: head/emulators/mednafen/files/patch-src__file.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/emulators/mednafen/files/patch-src__file.cpp	Fri Feb 28 21:11:09 2014	(r346577)
@@ -0,0 +1,29 @@
+--- src/file.cpp.orig	2009-05-15 06:12:55.000000000 +0400
++++ src/file.cpp	2013-06-07 18:52:21.000000000 +0400
+@@ -229,7 +229,7 @@
+    goto doret;
+   }
+ 
+-  while((howmany = gzread(tz, tmp->data + cur_size, cur_alloced - cur_size)) > 0)
++  while((howmany = gzread((gzFile)tz, tmp->data + cur_size, cur_alloced - cur_size)) > 0)
+   {
+    cur_size += howmany;
+    cur_alloced <<= 1;
+@@ -282,7 +282,7 @@
+  }
+  else if(type == MDFN_FILETYPE_GZIP)
+  {
+-  gzclose(tz);
++  gzclose((gzFile)tz);
+  }
+  else if(type == MDFN_FILETYPE_ZIP)
+  {
+@@ -444,7 +444,7 @@
+ 
+    if(!(fceufp = MakeMemWrap(t, 1)))
+    {
+-    gzclose(t);
++    gzclose((gzFile)t);
+     return(0);
+    }
+ 

Added: head/emulators/mednafen/files/patch-src__pcfx__pcfx.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/emulators/mednafen/files/patch-src__pcfx__pcfx.cpp	Fri Feb 28 21:11:09 2014	(r346577)
@@ -0,0 +1,10 @@
+--- src/pcfx/pcfx.cpp.orig	2009-12-24 11:03:43.000000000 +0100
++++ src/pcfx/pcfx.cpp	2014-02-28 21:38:56.000000000 +0100
+@@ -35,6 +35,7 @@
+ #include <errno.h>
+ #include <string.h>
+ #include <math.h>
++#include <unistd.h>
+ 
+ #ifdef WANT_PCFX_MMAP
+ #include <sys/mman.h>

Modified: head/emulators/mednafen/pkg-descr
==============================================================================
--- head/emulators/mednafen/pkg-descr	Fri Feb 28 20:59:39 2014	(r346576)
+++ head/emulators/mednafen/pkg-descr	Fri Feb 28 21:11:09 2014	(r346577)
@@ -13,4 +13,4 @@ a joystick is preferred over a keyboard 
 slightly less latency, although the latency differences may not be perceptible
 to most people.
 
-WWW:	http://mednafen.sf.net/
+WWW: http://mednafen.sf.net/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Rene Ladan freebsd_committer 2014-02-28 21:11:20 UTC
State Changed
From-To: open->closed

Committed with further modernizations, thanks